<?php


class SocialNetwork implements \JsonSerializable
{
    private $optInCompreConfie;    
    private $typeSocialNetwork;
    private $authenticationToken;	

    public function jsonSerialize(): mixed
    {
        $obj = clone $this;
        $keys = get_object_vars($obj);
        foreach ($keys as $key => $value) {
            if ($value===null || $value==='') {
                unset($obj->{$key});
            }
        }

        return get_object_vars($obj);
    }    

    /**
     * Get the value of optInCompreConfie
     */ 
    public function getOptInCompreConfie()
    {
        return $this->optInCompreConfie;
    }

    /**
     * Set the value of optInCompreConfie
     *
     * @return  self
     */ 
    public function setOptInCompreConfie($optInCompreConfie)
    {
        $this->optInCompreConfie = $optInCompreConfie;

        return $this;
    }

    /**
     * Get the value of typeSocialNetwork
     */ 
    public function getTypeSocialNetwork()
    {
        return $this->typeSocialNetwork;
    }

    /**
     * Set the value of typeSocialNetwork
     *
     * @return  self
     */ 
    public function setTypeSocialNetwork($typeSocialNetwork)
    {
        $this->typeSocialNetwork = $typeSocialNetwork;

        return $this;
    }

    /**
     * Get the value of authenticationToken
     */ 
    public function getAuthenticationToken()
    {
        return $this->authenticationToken;
    }

    /**
     * Set the value of authenticationToken
     *
     * @return  self
     */ 
    public function setAuthenticationToken($authenticationToken)
    {
        $this->authenticationToken = $authenticationToken;

        return $this;
    }

}